Option Strict On
Module Module1
    Function f(ByRef x As Double) As Double
        x = x + 1
        Return Math.Sin(x)
    End Function
    Sub Main()
        Dim x As Double = 1
        For i As Integer = 1 To 100
            Console.WriteLine(" {0} {1}", x, f(x))
        Next i
        Console.ReadLine()
    End Sub

End Module
